Skip to content

Trigger Live Scan

Request

Task a URL to be scanned. The HTTP request will block until the scan has finished.

Security
apikeyAuth(Required scopes: readwrite)
Path
scannerIdstringrequired
Example:de01
Bodyapplication/json
taskobjectrequired
scannerobject
POST
/api/v1/livescan/{scannerId}/scan/
curl -i -X POST \
  https://urlscan.io/api/v1/livescan/de01/scan/ \
  -H 'Content-Type: application/json' \
  -H 'api-key: YOUR_API_KEY_HERE' \
  -d '{
    "task": {
      "url": "http://example.com",
      "visibility": "public",
      "tags": [
        "string"
      ]
    },
    "scanner": {
      "pageTimeout": 10000,
      "captureDelay": 3000,
      "extraHeaders": {},
      "enableFeatures": [
        "string"
      ],
      "disableFeatures": [
        "string"
      ]
    }
  }'

Responses

OK

Bodyapplication/json
uuidstring, (uuid)

UUID of scan

Response
{ "uuid": "10dae531-a98a-42fc-8c6f-cb8610ec0c10" }